package com.ss.android.ugc.aweme.services.mediachoose;

import X.2Pr;
import X.Ls2;
import X.LsC;
import X.LsD;
import X.LsF;
import com.bytedance.covode.number.Covode;

public interface IVideoLegalCheckerAndToastService {
    static {
        Covode.recordClassIndex(105363);
    }

    void isVideoLengthOrTypeSupportedAndShowErrToast(String str, boolean z, int i, int i2, LsD<? super String, ? super Long, 2Pr> lsD, LsF<? super String, ? super Long, ? super Integer, ? super String, 2Pr> lsF);

    void isVideoLengthOrTypeSupportedAndShowErrToast(String str, boolean z, int i, Ls2<2Pr> ls2);

    boolean isVideoLengthOrTypeSupportedAndShowErrToast(String str, boolean z);

    boolean isVideoLengthOrTypeSupportedAndShowErrToast(String str, boolean z, int i, int i2, LsC<? super Integer, 2Pr> lsC);

    boolean isVideoLengthOrTypeSupportedAndShowErrToast(String str, boolean z, LsC<? super Integer, 2Pr> lsC);
}
